Update Nextcloud and RainLoop failed

,

:uk:/:us:

My YunoHost server

Hardware: VPS
YunoHost version: 11
I have access to my server : Through SSH | through the webadmin

Description of my issue

The 021_bullseyes update went through, with a few hiccups, but it finally worked on both my YUNOHOST instances. I had the mariadb dependency problem.

On my old PC that I use as a server, I had no issues with application updates, especially Nextcloud.
On my VPS instance, Nextcloud and Rainloop did not update : failed.
And the backup did not reinstall: “This backup cannot be restored, as it is from a version of YunoHost that is too old.”

I copied the backup to a yunohost that is “hanging out” in a VirtualBox virtual machine, Yunohost is in version 4.x and I get the same error message.

Is this normal? The backup comes from the version of Yunohost previous to the version 11 (so the 10 if I count well … :smiley: )

After all these tricks, I’m good to redo the configuration of Yunohost. Too bad, there are still some users, groups, and group folders to reconfigure…

If you have an idea how I can restore my backup, I’m interested…

The log: https://paste.yunohost.org/raw/apaguciyix

6Ril

Translated with DeepL Translate: The world's most accurate translator (free version)


:fr:

Mon serveur YunoHost

Matériel: VPS acheté en ligne
Version de YunoHost: 11
J’ai accès à mon serveur : En SSH

Description du problème

La mise à jour 021_bullseyes c’est passé, avec quelques soucis, mais ça a fini par fonctionner sur mes deux instances de YUNOHOST. J’ai eu le problème de dépendance mariadb.

Sur mon vieux PC qui me sert de serveur, je n’ai eu aucun soucis avec les mises à jour des applications, notamment Nextcloud.
Sur mon instance VPS, Nextcloud et Rainloop ne se sont pas mis à jour : failed.
Et le backup ne s’est pas réinstallé : “Cette sauvegarde ne peut pas être restaurée, car elle provient d’une version de YunoHost trop ancienne.”

J’ai recopié le backup sur un yunohost qui “traine” dans une machine virtuelle VirtualBox, Yunohost est en version 4.x et j’ai le même message d’erreur.

Est-ce normal ? Le backup provient de la version de Yunohost précédent la version 11 ( donc la 10 si je compte bien … :smiley: )

Après toutes ses bidouilles, je suis bon pour refaire la configuration de Yunohost. Dommage, il y a quand même quelques utilisateurs, des groupes, et des dossiers de groupes à reconfigurer…

Si vous avez une idée pour que je puisse restaurer ma sauvegarde, je suis preneur…

Le log : https://paste.yunohost.org/raw/apaguciyix

6Ril

I’m answering super late, but sounds like there’s at least two different issues :thinking: :

During the upgrade itself:

2022-09-18 16:43:59,875: WARNING -   Config is set to be read-only via option "config_is_read_only".

Does this mean anything to you ?

And during the restore, in particular fail2ban config:

2022-09-18 16:44:56,616: WARNING - sept. 18 15:11:26 systemd[1]: fail2ban.service: Main process exited, code=killed, status=15/TERM
[...]
2022-09-18 16:44:56,624: WARNING - sept. 18 16:44:56 fail2ban-client[17719]: 2022-09-18 16:44:56,544 fail2ban                [17719]: ERROR   Could not find server

Sounds like fail2ban wasnt up / got killed, but it’s not entirely clear from the log I’m reading … Maybe just reattempting the pre-upgrade backup restore would work now …

1 Like

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.